Bug 175210 - fence hangs on startup due to missing module name
fence hangs on startup due to missing module name
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Grac
Cluster QE
https://www.redhat.com/archives/linux...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-07 14:36 EST by Jonathan McNally
Modified: 2009-08-31 14:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-31 14:05:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan McNally 2005-12-07 14:36:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
The poweredge 1855 blade chassis can use fence_drac to cycle nodes.  It uses the module attribute to define which node, Server-1 thru Server-10 should receive this command.

The "module" value is missing from system-config-cluster fencing agent for DRAC.  It can be manually inserted into the cluster.conf as outlined in the attached url, but from that point on I get a malformed xml error, which can be bypassed.

Version-Release number of selected component (if applicable):
fence-1.32.6-0

How reproducible:
Always

Steps to Reproduce:
1. Setup fencing via system-config-cluster and use only the fields supplied
2. Do not edit the cluster.conf file to add any additional module info
3. Reboot and wait..
  

Actual Results:  All systems with the fencing setup hang.

Expected Results:  It should have negotiated fencing correctly and continued with startup, or at least given an error and continued.

Additional info:
Comment 1 Jim Parsons 2005-12-20 09:56:11 EST
Jon - this is easy to add, but I want to be certain of something; when you refer
to 'Server-1 thru Server-10' above, are those the actual set of names for
modules or are those arbitrary names (hostnames)? In other words, is a blank
text field of reasonable length sufficient, or should I offer a dropdown
selection menu with Server-1, Server-2...perhaps you could point me at some
documentation if it sounds like I am missing the point :-)
Comment 2 Jim Parsons 2006-02-07 10:47:14 EST
UI amended - testing now
Comment 3 Jim Parsons 2006-02-17 14:21:23 EST
Fixed.

Note You need to log in before you can comment on or make changes to this bug.